#include<bits/stdc++.h>
using namespace std;
const int M=250005;
int n,m,k,a[M],b[M];
int v(int l,int r)
{
	int u=a[l];
	
	for(int i=l;i<=r;i++)
	{
		if(a[i]>u)u=a[i];
	}
	return u;
}
int io(int l,int r)
{
	int u=b[l];
	
	for(int i=l;i<=r;i++)
	{
		if(b[i]>u)u=b[i];
	}
	return u;
}
int main()
{
	
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	int t;
	cin>>t>>n;

		for(int i=1;i<=n;i++)
		{
			cin>>a[i];
		}
		for(int i=1;i<=n;i++)
		{
			cin>>b[i];
		}
		int q;
		
		cin>>q;
		while(q--)
		{
		    long long ans=0;
			int l,r;
			cin>>l>>r;
			for(int i=l;i<=r;i++)
			{
				for(int j=i;j<=r;j++)
				{
					ans+=v(i,j)*io(i,j);
					
				}
			}
			cout<<ans<<endl;
		}
		

	
	return 0;
}
